# ARBVertexBufferObject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBVertexBufferObject

    java.lang.Object
      org.lwjgl.opengl.ARBBufferObject
          org.lwjgl.opengl.ARBVertexBufferObject

    public final class ARBVertexBufferObject

extends ARBBufferObject

Field Summary
`static int` `GL_ARRAY_BUFFER_ARB` Accepted by the <target> parameters of BindBufferARB, BufferDataARB, BufferSubDataARB, MapBufferARB, UnmapBufferARB, GetBufferSubDataARB, GetBufferParameterivARB, and GetBufferPointervARB:
`static int` `GL_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_COLOR_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_ELEMENT_ARRAY_BUFFER_ARB` Accepted by the <target> parameters of BindBufferARB, BufferDataARB, BufferSubDataARB, MapBufferARB, UnmapBufferARB, GetBufferSubDataARB, GetBufferParameterivARB, and GetBufferPointervARB:
`static int` `GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_INDEX_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_NORMAL_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_VERTEX_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetVertexAttribivARB:
`static int` `GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

Fields inherited from class org.lwjgl.opengl.ARBBufferObject
`GL_BUFFER_ACCESS_ARB, GL_BUFFER_MAP_POINTER_ARB, GL_BUFFER_MAPPED_ARB, GL_BUFFER_SIZE_ARB, GL_BUFFER_USAGE_ARB, GL_DYNAMIC_COPY_ARB, GL_DYNAMIC_DRAW_ARB, GL_DYNAMIC_READ_ARB, GL_READ_ONLY_ARB, GL_READ_WRITE_ARB, GL_STATIC_COPY_ARB, GL_STATIC_DRAW_ARB, GL_STATIC_READ_ARB, GL_STREAM_COPY_ARB, GL_STREAM_DRAW_ARB, GL_STREAM_READ_ARB, GL_WRITE_ONLY_ARB`

Method Summary

Methods inherited from class org.lwjgl.opengl.ARBBufferObject

`glBindBufferARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferSubDataARB, glBufferSubDataARB, glBufferSubDataARB, glBufferSubDataARB, glBufferSubDataARB, glDeleteBuffersARB, glDeleteBuffersARB, glGenBuffersARB, glGenBuffersARB, glGetBufferParameterARB, glGetBufferParameterARB, glGetBufferParameteriARB, glGetBufferPointerARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glIsBufferARB, glMapBufferARB, glMapBufferARB, glUnmapBufferARB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ARRAY_BUFFER_ARB

    public static final int GL_ARRAY_BUFFER_ARB

  Accepted by the <target> parameters of BindBufferARB, BufferDataARB, BufferSubDataARB, MapBufferARB, UnmapBufferARB, GetBufferSubDataARB, GetBufferParameterivARB, and GetBufferPointervARB:

  See Also:
    Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER_ARB

    public static final int GL_ELEMENT_ARRAY_BUFFER_ARB

  Accepted by the <target> parameters of BindBufferARB, BufferDataARB, BufferSubDataARB, MapBufferARB, UnmapBufferARB, GetBufferSubDataARB, GetBufferParameterivARB, and GetBufferPointervARB:

  See Also:
    Constant Field Values

### GL_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_VERTEX_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_NORMAL_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_NORMAL_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_COLOR_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_COLOR_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_INDEX_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_INDEX_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB

    public static final int GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetVertexAttribivARB:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.